//модуль устранения дребезга кнопок
#define encoLpinB 35                 // контат кнопка левый энкодер
boolean btLState = false;            // Статус кнопки
uint16_t btLF = 1;                   // Фильтр для антидребезга
boolean btLPressed = false;          // Кнопка 1 отпущена

#define encoRpinB 34                 // контат кнопка правый энкодер
boolean btRState = false;            // Статус кнопки
uint16_t btRF = 1;                   // Фильтр для антидребезга
boolean btRPressed = false;          // Кнопка 2 отпущена

void buttonsInit () {
  pinMode (encoLpinB, INPUT);        // кнопка левый энкодер
  pinMode (encoRpinB, INPUT);        // кнопка правый энкодер
}

void refreshButtobs () {

  if (!digitalRead(encoLpinB)) {    // Если кнопка левого энкодера нажата
    // если бит доехал до левого угла B1000000000000000
    if (btLF == 32768) btLState = true; else btLF <<= 1;
  } else {                       // Если кнопка 1отпущена
    // если бит доехал до правого угла B0000000000000001
    if (btLF == 1) btLState = false; else btLF >>= 1;
  }

  if (!digitalRead(encoRpinB)) {    // Если кнопка праого энкодера нажата
    // если бит доехал до левого угла B1000000000000000
    if (btRF == 32768) btRState = true; else btRF <<= 1;
  } else {                       // Если кнопка  2отпущена
    // если бит доехал до правого угла B0000000000000001
    if (btRF == 1) btRState = false; else btRF >>= 1;
  }

}
