const char* ssid = "";            // ssid
const char* password = "";            // пароль

const char* ntpServer = "pool.ntp.org";       // сервер времени
const long  gmtOffset_sec = 10800;            // 3600*3=10800 (UTC+3) Москва
const int   daylightOffset_sec = 0;           // переход на летнее время

void wifi_connect () {

  rusClear();                                 // очистка экрана
  iPrintString ("Подключаемся к", 0, 0);      // текст, столбец, строка
  iPrintString (ssid, 0, 1);                  // ssid
  WiFi.begin(ssid, password);

  lcd.setCursor(0, 2);
  while (WiFi.status() != WL_CONNECTED) {
    delay(500);
    lcd.print('.');
  }
  lcd.setCursor(0, 3);                        // Печатаем IP - шник
  lcd.print("IP:");
  lcd.print(WiFi.localIP());
  delay(4000);
  rusClear();

}
